<?php
namespace app\components\purchases;

use Yii;
use yii\base\Component;
use yii\base\InvalidConfig\Exception;
use yii\helpers\ArrayHelper;
use app\models\Purchases;
use app\models\Itemspurchase;
use yii\db\Expression;
use app\components\purchases\ClientSiesa;
use app\components\purchases\HeaderOrder;

/**
 * HelperOrder.php
 *
 * PHP Version 5.3.0
 * 
 * @category  category
 * @package   package
 * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
 * @copyright 2014 INGENEO S.A.S.
 * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
 * @version   SVN: $Id$
 * @link      http://www.ingeneo.com.co
 * 
 */

/**
 * HelperOrder.php
 *
 * // SUS COMENTARIOS AQUI
 *
 * @category  category
 * @package   package
 * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
 * @copyright 2014 INGENEO S.A.S.
 * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
 * @version   Release: $Id$
 * @link      http://www.ingeneo.com.co
 * 
 */
class HelperOrder extends Component {

    private $_count = 2;
    private $_idCo;    
    private $_clientSiesa;

    //Constantes para la cabecera

    const NUMERO_REG_HEADER = '2';
    const TIPO_REG_HEADER = '420';
    const SUBTIPO_REG = '00';
    const VERSION_REG = '03';
    const CIA = '1';
    const lIQUIDA_IMPUESTO = '1';    
    const CONSEC_AUTO_REG = '1';
    const ID_TIPO_DOC = 'ODC';
    const CONSEC = '1';
    const ID_CLASE_DOCTO = '404';
    const IND_ESTADO = '0';
    const IND_IMPRESO = '0';
    const ID_MODENA_DOCTO = 'COP';
    const ID_MODENA_CONV = 'COP';
    const TASA_CONV = '1';
    const ID_MONEDA_LOCAL = 'COP';
    const TASA_LOCAL = '1';
    const IND_CONTACTO = '1';
    const CONTACTO = '';
    const DIRECCION_1 = '';
    const DIRECCION_2 = '';
    const DIRECCION_3 = '';
    const ID_PAIS = '';
    const ID_DEPTO = '';
    const ID_CIUDAD = '';
    const ID_BARRIO = '';
    const TELEFONO = '';
    const COD_POSTAL = '';
    const EMAIL = '';
    const NUM_DOCTO_REFERENCIA = '';
    
    const CON_PAGO = '00D';
    const GRUPO_CLASE_DOCTO = '402';
    const TASA = '1';
    const DSCTO_GLOBAL_1 = '000.0000';
    const DSCTO_GLOBAL_2 = '000.0000';
    
    //--------------------------------------------------------------------------
    
    //Constantes para los items
    const TIPO_REG_ITEM = '421';
    const ID_CONCEPTO = '401';
    const VERSION_REG_MOV = '04';
    const IND_OBSEQUIO = '0';
    const ID_ITEM = '';
    const ID_EXT1_DETALLE = '';
    const ID_EXT2_DETALLE = '';
    const CODIGO_BARRAS = '';    
    const ID_CCOSTO_MOVTO = '';
    const ID_PROYECTO = '';
    const PRECIO_UNITARIO = '0';
        
    const MOTIVO = '1';
    const TADA_COND = '000.0000';

    /**
     * Constructor de la clase
     * 
     * @return    void
     * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
     * @version   SVN: $Id$
     * @copyright 2014 INGENEO S.A.S.     
     * @access    public     
     */
    public function __construct() {
        
    }

    /**
     * Funcion desctructora 
     * 
     * @return    void
     * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
     * @version   SVN: $Id$
     * @copyright 2014 INGENEO S.A.S. 
     * @access    public     
     */
    public function __destruct() {
        
    }

    /**
     * Metodo para crear la cabecera del pedido
     * 
     * @param Order $model Modelo Order
     * 
     * @return boolean|\HeaderOrder
     * @copyright 2014 INGENEO S.A.S.
     * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
     * @version   Release: $Id$
     * @link      http://www.ingeneo.com.co
     */
    public function createHeader($model) {
        if (is_object($model)) {
            try {                
                $user = \app\models\Cmpuser::findOne([
                    'usr_username'=>Yii::$app->user->identity->username,
                    'usr_status'=>'e'
                ]);
   
                if(!empty($user->usr_cedula) || !is_null($user->usr_cedula)){
                    $comprador = $user->usr_cedula;
                }else{
                    $comprador = Yii::app()->params['default_user'];
                }
                
                $error = false;
                $this->_clientSiesa = new ClientSiesa();
                $cellar = $model->cellar;
                $conPago = self::CON_PAGO;
                
                $infoBranch = $this->_clientSiesa->getInfoBranch($model->nit, 
                        $model->branch_code);                
                if(count($infoBranch)>0){
                    $conPago = $infoBranch['conPago'];
                }
                
                $infoCellar = $this->_clientSiesa->getInfoCellar($model->cellar); 
                if(count($infoCellar)>0){
                    $this->_idCo = $infoCellar['f150_id_co'];
                }else{
                    $error = true;
                }

                if ($error) return false;

                $headerOrder = new HeaderOrder();
                $headerOrder->numeroReg = self::NUMERO_REG_HEADER;
                $headerOrder->tipoReg = self::TIPO_REG_HEADER;
                $headerOrder->subTipoReg = self::SUBTIPO_REG;
                $headerOrder->versionReg = self::VERSION_REG;
                $headerOrder->cia = self::CIA;
                $headerOrder->liquidaImpuesto = self::lIQUIDA_IMPUESTO;
                $headerOrder->consecAutoReg = self::CONSEC_AUTO_REG;
                $headerOrder->idCo = $this->_idCo;
                $headerOrder->idTipoDocto = self::ID_TIPO_DOC;
                $headerOrder->consecDocto = self::CONSEC;
                $headerOrder->idFecha = date('Ymd');
                $headerOrder->idConcepto = self::ID_CONCEPTO;
                $headerOrder->idGrupoClaseDocto = self::GRUPO_CLASE_DOCTO;
                $headerOrder->idClaseDocto = self::ID_CLASE_DOCTO;
                $headerOrder->indEstado = self::IND_ESTADO;
                $headerOrder->indImpresion = self::IND_IMPRESO;
                $headerOrder->idTerceroSolComp = $comprador;
                $headerOrder->idTerceroProv = $model->nit;
                $headerOrder->idSucursalProv = $model->branch_code;
                $headerOrder->idConPago = $conPago;
                $headerOrder->indTasa = self::TASA;
                $headerOrder->idMonedaDocto = self::ID_MODENA_DOCTO;
                $headerOrder->idMonedaConv = self::ID_MODENA_CONV;
                $headerOrder->tasaConv = self::TASA_CONV;
                $headerOrder->idMonedaLocal = self::ID_MONEDA_LOCAL;
                $headerOrder->tasaLocal = self::TASA_LOCAL;
                $headerOrder->tasaDsctoGlobal1 = self::DSCTO_GLOBAL_1;
                $headerOrder->tasaDsctoGlobal2 = self::DSCTO_GLOBAL_2;
                $headerOrder->notas = 'OC B2B COMPRAS. No.'.$model->id;
                $headerOrder->indContacto = self::IND_CONTACTO;
                $headerOrder->contacto = self::CONTACTO;
                $headerOrder->direccion1 = self::DIRECCION_1;
                $headerOrder->direccion2 = self::DIRECCION_2;
                $headerOrder->direccion3 = self::DIRECCION_3;
                $headerOrder->idPais = self::ID_PAIS;
                $headerOrder->idDepto = self::ID_DEPTO;
                $headerOrder->idCiudad = self::ID_CIUDAD;
                $headerOrder->idBarrio = self::ID_BARRIO;
                $headerOrder->telefono = self::TELEFONO;
                $headerOrder->codPostal = self::COD_POSTAL;
                $headerOrder->email = self::EMAIL;
                $headerOrder->numDoctoReferencia = self::NUM_DOCTO_REFERENCIA;
                $headerOrder->idMandato = '';
                return $headerOrder;
            } catch (Exception $exc) {
                //----------------------------------------------------
                Yii::log(__FILE__ . ':' . __LINE__ . ':' . __FUNCTION__ . ':'
                        . ' {createHeader [' . $exc->getMessage() . '}'
                        , CLogger::LEVEL_ERROR, 'cmp.ws');
                //---------------------------------------------------
                return false;
            }
        }
        return false;
    }

    /**
     * Metodo para crear el objeto de items
     * 
     * @param OrderProduct $model      Modelo de tipo OrderProduct
     * @param int          $countItems Contador de items
     * 
     
     */
    
    /**
     * Metodo para crear el objeto Item
     * 
     * @param object $data
     * @param int    $countItems
     * @param int    $cellar
     * @param int    $unBussiness
     * 
     * @return boolean|\ItemOrder     
     * @copyright 2014 INGENEO S.A.S.
     * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
     * @version   Release: $Id$
     * @link      http://www.ingeneo.com.co
     */
    public function createItem($data, $countItems, $cellar, $unBussiness) {
        if (is_object($data)) {
            try {
                $error = false;
                $unidadMedida = $this->_clientSiesa->getmeasuredUnit($data->reference);
                
                if ($error) return false;

                $this->_count = $this->_count + 1;

                $item = new ItemOrder();
                $item->numeroReg = $this->_count; //Consecutivo del item
                $item->tipoReg = self::TIPO_REG_ITEM;
                $item->subtipoReg = self::SUBTIPO_REG;
                $item->versionReg = self::VERSION_REG_MOV;
                $item->cia = self::CIA;
                $item->idCo = $this->_idCo;
                $item->idTipoDocto = self::ID_TIPO_DOC;
                $item->consecDocto = self::CONSEC;
                $item->nroRegistro = $countItems;
                $item->fCampo_1 = '';
                $item->idBodega = $cellar;
                $item->idConcepto = self::ID_CONCEPTO;
                $item->idMotivo = self::MOTIVO;
                $item->indObsequio = self::IND_OBSEQUIO;
                $item->idCoMovto = $this->_idCo;
                $item->fCampo_2 = '';
                $item->idCcostoMovto = self::ID_CCOSTO_MOVTO;
                $item->idProyecto = self::ID_PROYECTO;
                //$item->idUnidadMedida = $unidadMedida;
				$item->idUnidadMedida = 'UNID';
                $item->cantPedidaBase = $data->quantity;
                $item->fechaEntrega = date('Ymd', strtotime('+2 day')); //Formatro AAAAMMDD
                $item->codItemProv = '';
                $item->precioUnitario = $data->unit_price;
                $item->notas = '';
                $item->detalle = '';
                $item->fDescItem = '';
                $item->fIdUmInventario = '';
                $item->idItem = self::ID_ITEM;
                $item->referenciaItem = $data->reference;
                $item->codigoBarras = self::CODIGO_BARRAS;                                               
                $item->idExt1Detalle = self::ID_EXT1_DETALLE;
                $item->idExt2Detalle = self::ID_EXT2_DETALLE;
                $item->idUnMovto = $unBussiness;
                $item->tasaDsctoCondicionado = self::TADA_COND;            
                return $item;
            } catch (Exception $exc) {
                //----------------------------------------------------
                Yii::log(__FILE__ . ':' . __LINE__ . ':' . __FUNCTION__ . ':'
                        . ' {createItem [' . $exc->getMessage() . '}'
                        , CLogger::LEVEL_ERROR, 'cmp.ws');
                //---------------------------------------------------
                return false;
            }
        }
    }

}

?>
