<?php

namespace app\components\purchases;

use Yii;
use yii\base\Component;
use yii\base\InvalidConfig\Exception;

/**
 * HelperReport.php
 *
 * PHP Version 5.3.0
 * 
 * @category  category
 * @package   package
 * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
 * @copyright 2019 INGENEO S.A.S.
 * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
 * @version   SVN: $Id$
 * @link      http://www.ingeneo.com.co
 * 
 */

/**
 * HelperReport.php
 *
 * // SUS COMENTARIOS AQUI
 *
 * @category  category
 * @package   package
 * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
 * @copyright 2019 INGENEO S.A.S.
 * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
 * @version   Release: $Id$
 * @link      http://www.ingeneo.com.co
 * 
 */
class HelperReport extends Component
{

    /**
     * Constructor de la clase
     * 
     * @return    void
     * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
     * @version   SVN: $Id$
     * @copyright 2019 INGENEO S.A.S.     
     * @access    public     
     */
    public function __construct()
    {
        
    }

    /**
     * Funcion desctructora 
     * 
     * @return    void
     * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
     * @version   SVN: $Id$
     * @copyright 2019 INGENEO S.A.S. 
     * @access    public     
     */
    public function __destruct()
    {
        
    }

    public function exportPortfolio($condition)
    {

        if(!empty($condition) && is_string($condition)) {
            $clientSiesa = new ClientSiesa();
            $nameFile = 'Reporte Cartera (' . date('Y-m-d') . ')';            
            $infoPortfolio = $clientSiesa->getInfoPortfolio($condition);
            $arrayInfoPortfolio = array($infoPortfolio);
            $listBill = $clientSiesa->getListBillPendig($condition);

            $headers1 = array(
                'cupo_total' => 'Cupo total',
                'cxp' => 'Cuentas por cobrar',
                'cupo_disponible' => 'Cupo disponible'
            );
            
            $headers2 = array(
                'no_factura' => 'No. Documento',
                'tipo_doc' => 'Tipo Documento',
                'fecha_factura' => 'Fecha',
                'dias_vencimiento' => 'Días Vencimiento',
                'dias_vencidos' => 'Días vencidos',
                'valor_pendiente' => 'Valor pendiente',
            );

            $objPHPExcel = new PHPExcel();

            array_unshift($arrayInfoPortfolio, $headers1);
            $objPHPExcel->getActiveSheet()->fromArray($arrayInfoPortfolio);
            $num_rows = $objPHPExcel->getActiveSheet()->getHighestRow();
            //$objPHPExcel->getActiveSheet()->insertNewRowBefore($num_rows + 20, 100);  
            array_unshift($listBill, $headers2);
            $objPHPExcel->getActiveSheet()->fromArray($listBill, null,
                'A' . ($num_rows + 2));

            $objPHPExcel->getActiveSheet()->setTitle($nameFile);
            $objPHPExcel->setActiveSheetIndex(0);
            //Para descargar en xlsx
            header('Content-Type: application/octet-stream');
            header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; charset=UTF-8');
            header('Content-Disposition: attachment;filename="' . $nameFile . '.xlsx"');
            header('Cache-Control: max-age=0');
            $objWriter = new PHPExcel_Writer_Excel2007($objPHPExcel);
            $objWriter->setOffice2003Compatibility(true);
            $objWriter->save('php://output');
            Yii::app()->end();
        }
        return false;
    }

}

?>
