<?php

$params = require __DIR__ . '/params.php';
$db = require __DIR__ . '/db.php';
$dbsql = require __DIR__ . '/dbsql.php';
$dbsqlexpress = require __DIR__ . '/dbsqlexpress.php';

$config = [
    'id' => 'basic',
    'basePath' => dirname(__DIR__),
    'bootstrap' => ['log'],
//    'aliases' => [
//        '@bower' => '@vendor/bower-asset',
//        '@npm'   => '@vendor/npm-asset',
//    ],
    'modules' => [
//        'user' => [
//            'class' => 'dektrium\user\Module',
//        ],
        'admin' => [
            'class' => 'mdm\admin\Module',
            'controllerMap' => [
                'assignment' => [
                    'class' => 'mdm\admin\controllers\AssignmentController',
                    'userClassName' => 'app\models\Cmpuser',
                    'idField' => 'usr_user_ID',
                    'usernameField' => 'usr_username', 
                    'searchClass' => 'app\models\CmpuserSearch'
                ]
            ],
        ],
        'gridview' => [
            'class' => '\kartik\grid\Module'
        ],
    ],
    'components' => [
        'assetManager' => [
            'bundles' => [
                'dmstr\web\AdminLteAsset' => [                    
                    'skin' => 'skin-blue-light',
                ],
            ],
        ],
        'session' => [
            'class' => '\yii\web\Session',
            'name' => 'devices-control',
        ],
        'authManager' => [
            'class' => 'yii\rbac\DbManager', // or use 'yii\rbac\DbManager'
        ],
        'request' => [
            'cookieValidationKey' => '9OzNXrGfTkFvWe95__SIjoFXFe7_Du_B',
        ],
        'cache' => [
            'class' => 'yii\caching\FileCache',
        ],
        'user' => [
            'identityClass' => 'app\models\User',
            'enableAutoLogin' => true,
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
        'mailer' => [
            'class' => 'yii\swiftmailer\Mailer',
            'useFileTransport' => true,
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
                [
                    'class' => 'yii\log\FileTarget',
                    //'levels' => ['error', 'warning'],
                    'categories' => ['webservices'],
                    'logFile' => '@app/runtime/webservices/'.date('Y-m-d').'.log',
                    'maxFileSize' => 1024 * 2,
                    'maxLogFiles' => 10,
                ],
                [
                    'class' => 'yii\log\FileTarget',
                    //'levels' => ['error', 'warning'],
                    'categories' => ['clientsiesa'],
                    'logFile' => '@app/runtime/clientsiesa/'.date('Y-m-d').'.log',
                    'maxFileSize' => 1024 * 2,
                    'maxLogFiles' => 10,
                ],
            ],
        ],
        'db' => $db,
        'dbsql' => $dbsql,
        'dbsqlexpress' => $dbsqlexpress,
        'view' => [
            'theme' => [
                'pathMap' => [                                    
                    '@vendor/mdmsoft/yii2-admin/views' => '@app/views'                    
                ],
            ],
        ],
        /*
        'urlManager' => [
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'rules' => [
            ],
        ],
        */
    ],
    'as access' => [
        'class' => 'mdm\admin\components\AccessControl',
        'allowActions' => [
            'site/login',
            'site/logout',
            'user/*',
            'admin/*',
            'gii/*',
        ]
    ],
    'params' => $params,
    'language' => 'es',
];

if (YII_ENV_DEV) {
    // configuration adjustments for 'dev' environment
    $config['bootstrap'][] = 'debug';
    $config['modules']['debug'] = [
        'class' => 'yii\debug\Module',
        // uncomment the following to add your IP if you are not connecting from localhost.
        'allowedIPs' => ['*'],
    ];

    $config['bootstrap'][] = 'gii';
    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        // uncomment the following to add your IP if you are not connecting from localhost.
        //'allowedIPs' => ['127.0.0.1', '::1'],
    ];
}

return $config;
