<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "data_fulfillment_client".
 *
 * @property int $id
 * @property int $year_order
 * @property int $year_invoice
 * @property int $year_default
 * @property string $month_order
 * @property string $month_invoice
 * @property string $month_default
 * @property string $operation_center
 * @property string $document_type_order
 * @property string $number_order
 * @property string $date_order
 * @property string $document_type_invoice
 * @property string $number_invoice
 * @property string $date_invoice
 * @property string $number_delivery
 * @property string $status_delivery
 * @property string $reason_delivery
 * @property string $date_delivery
 * @property string $nit
 * @property string $business_name
 * @property string $branch_code
 * @property string $branch_name
 * @property int $total_references
 * @property int $total_ref_inc
 * @property string $reference
 * @property string $description
 * @property string $quantity_order
 * @property string $unit_value_order
 * @property string $quantity_invoice
 * @property string $unit_value_invoice
 * @property string $total_unit_value_invoice
 * @property string $subtotal_order
 * @property string $subtotal_invoice
 * @property string $total_order
 * @property string $total_invoice
 * @property string $cant_pendiente
 * @property string $cantidad_devuelta
 * @property string $quantity_delivery
 * @property string $created_at
 */
class DataFulfillmentClient extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'data_fulfillment_client';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['year_order', 'year_invoice', 'year_default', 'total_references', 'total_ref_inc'], 'integer'],
            [['date_order', 'date_invoice', 'date_delivery', 'created_at'], 'safe'],
            [['month_order', 'month_invoice', 'month_default', 'operation_center', 'document_type_order', 'document_type_invoice'], 'string', 'max' => 20],
            [['number_order', 'number_invoice', 'number_delivery', 'status_delivery', 'nit'], 'string', 'max' => 45],
            [['reason_delivery'], 'string', 'max' => 250],
            [['business_name', 'branch_name', 'description'], 'string', 'max' => 150],
            [['branch_code'], 'string', 'max' => 10],
            [['reference', 'quantity_order', 'unit_value_order', 'quantity_invoice', 'unit_value_invoice', 'total_unit_value_invoice', 'subtotal_order', 'subtotal_invoice', 'total_order', 'total_invoice', 'cant_pendiente', 'cantidad_devuelta', 'quantity_delivery'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'year_order' => Yii::t('app', 'Year Order'),
            'year_invoice' => Yii::t('app', 'Year Invoice'),
            'year_default' => Yii::t('app', 'Year Default'),
            'month_order' => Yii::t('app', 'Month Order'),
            'month_invoice' => Yii::t('app', 'Month Invoice'),
            'month_default' => Yii::t('app', 'Month Default'),
            'operation_center' => Yii::t('app', 'Operation Center'),
            'document_type_order' => Yii::t('app', 'Document Type Order'),
            'number_order' => Yii::t('app', 'Number Order'),
            'date_order' => Yii::t('app', 'Date Order'),
            'document_type_invoice' => Yii::t('app', 'Document Type Invoice'),
            'number_invoice' => Yii::t('app', 'Number Invoice'),
            'date_invoice' => Yii::t('app', 'Date Invoice'),
            'number_delivery' => Yii::t('app', 'Number Delivery'),
            'status_delivery' => Yii::t('app', 'Status Delivery'),
            'reason_delivery' => Yii::t('app', 'Reason Delivery'),
            'date_delivery' => Yii::t('app', 'Date Delivery'),
            'nit' => Yii::t('app', 'Nit'),
            'business_name' => Yii::t('app', 'Business Name'),
            'branch_code' => Yii::t('app', 'Branch Code'),
            'branch_name' => Yii::t('app', 'Branch Name'),
            'total_references' => Yii::t('app', 'Total References'),
            'total_ref_inc' => Yii::t('app', 'Total Ref Inc'),
            'reference' => Yii::t('app', 'Reference'),
            'description' => Yii::t('app', 'Description'),
            'quantity_order' => Yii::t('app', 'Quantity Order'),
            'unit_value_order' => Yii::t('app', 'Unit Value Order'),
            'quantity_invoice' => Yii::t('app', 'Quantity Invoice'),
            'unit_value_invoice' => Yii::t('app', 'Unit Value Invoice'),
            'total_unit_value_invoice' => Yii::t('app', 'Total Unit Value Invoice'),
            'subtotal_order' => Yii::t('app', 'Subtotal Order'),
            'subtotal_invoice' => Yii::t('app', 'Subtotal Invoice'),
            'total_order' => Yii::t('app', 'Total Order'),
            'total_invoice' => Yii::t('app', 'Total Invoice'),
            'cant_pendiente' => Yii::t('app', 'Cant Pendiente'),
            'cantidad_devuelta' => Yii::t('app', 'Cantidad Devuelta'),
            'quantity_delivery' => Yii::t('app', 'Quantity Delivery'),
            'created_at' => Yii::t('app', 'Created At'),
        ];
    }
    
    /**
     * Retorna la data dinamica 
     * 
     * @param type $select
     * @param type $where
     * @param type $groupBy
     * @param type $orderBy
     * @param type $having
     * @param type $dateIn
     * @param type $dateEnd
     * 
     * @return array
     * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
     * @copyright 2021 INGENEO S.A.S.
     * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
     * @version   Release: $Id$
     * @link      http://www.ingeneo.com.co
     */
    public static function getData($select, $where, $groupBy, $orderBy, $having){
        $query = "SELECT " . $select 
                . " FROM data_fulfillment_client"
                . $where ." "
                . $groupBy . " " 
                . $orderBy . " " 
                . $having;
        return Yii::$app->db->createCommand($query)->queryAll(); 
    }
}
