<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "data_fulfillment_provider".
 *
 * @property int $id
 * @property int $year_purchase
 * @property int $year_entry
 * @property string $month_purchase
 * @property string $month_entry
 * @property string $document_type_purchase
 * @property string $document_type_entry
 * @property string $number_purchase
 * @property string $date_purchase
 * @property string $number_entry
 * @property string $date_entry
 * @property string $status_purchase
 * @property string $nit
 * @property string $business_name
 * @property string $branch_code
 * @property string $branch_name
 * @property string $reference
 * @property string $description
 * @property int $total_references
 * @property int $total_ref_inc
 * @property int $quantity_purchase
 * @property int $unit_value_purchase
 * @property int $quantity_entry
 * @property int $unit_value_entry
 * @property int $total_unit_value_purchase
 * @property int $subtotal_purchase
 * @property int $subtotal_entry
 * @property int $total_purchase
 * @property int $total_entry
 * @property string $operation_center
 */
class DataFulfillmentProvider extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'data_fulfillment_provider';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['year_purchase', 'year_entry', 'total_references', 'total_ref_inc', 'quantity_purchase', 'unit_value_purchase', 'quantity_entry', 'unit_value_entry', 'total_unit_value_purchase', 'subtotal_purchase', 'subtotal_entry', 'total_purchase', 'total_entry'], 'integer'],
            [['date_purchase', 'date_entry'], 'safe'],
            [['month_purchase', 'month_entry', 'number_purchase', 'number_entry', 'status_purchase', 'nit'], 'string', 'max' => 45],
            [['document_type_purchase', 'document_type_entry', 'operation_center'], 'string', 'max' => 20],
            [['business_name', 'branch_name', 'description'], 'string', 'max' => 250],
            [['branch_code'], 'string', 'max' => 10],
            [['reference'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'year_purchase' => Yii::t('app', 'Year Purchase'),
            'year_entry' => Yii::t('app', 'Year Entry'),
            'month_purchase' => Yii::t('app', 'Month Purchase'),
            'month_entry' => Yii::t('app', 'Month Entry'),
            'document_type_purchase' => Yii::t('app', 'Document Type Purchase'),
            'document_type_entry' => Yii::t('app', 'Document Type Entry'),
            'number_purchase' => Yii::t('app', 'Number Purchase'),
            'date_purchase' => Yii::t('app', 'Date Purchase'),
            'number_entry' => Yii::t('app', 'Number Entry'),
            'date_entry' => Yii::t('app', 'Date Entry'),
            'status_purchase' => Yii::t('app', 'Status Purchase'),
            'nit' => Yii::t('app', 'Nit'),
            'business_name' => Yii::t('app', 'Business Name'),
            'branch_code' => Yii::t('app', 'Branch Code'),
            'branch_name' => Yii::t('app', 'Branch Name'),
            'reference' => Yii::t('app', 'Reference'),
            'description' => Yii::t('app', 'Description'),
            'total_references' => Yii::t('app', 'Total References'),
            'total_ref_inc' => Yii::t('app', 'Total Ref Inc'),
            'quantity_purchase' => Yii::t('app', 'Quantity Purchase'),
            'unit_value_purchase' => Yii::t('app', 'Unit Value Purchase'),
            'quantity_entry' => Yii::t('app', 'Quantity Entry'),
            'unit_value_entry' => Yii::t('app', 'Unit Value Entry'),
            'total_unit_value_purchase' => Yii::t('app', 'Total Unit Value Purchase'),
            'subtotal_purchase' => Yii::t('app', 'Subtotal Purchase'),
            'subtotal_entry' => Yii::t('app', 'Subtotal Entry'),
            'total_purchase' => Yii::t('app', 'Total Purchase'),
            'total_entry' => Yii::t('app', 'Total Entry'),
            'operation_center' => Yii::t('app', 'Operation Center'),
        ];
    }
    
    /**
     * Retorna la data dinamica 
     * 
     * @param type $select
     * @param type $where
     * @param type $groupBy
     * @param type $orderBy
     * @param type $having
     * @param type $dateIn
     * @param type $dateEnd
     * 
     * @return array
     * @author    Alexander Arcila <alexander.arcila@ingeneo.com.co>
     * @copyright 2021 INGENEO S.A.S.
     * @license   http://www.opensource.org/licenses/bsd-license.php BSD License
     * @version   Release: $Id$
     * @link      http://www.ingeneo.com.co
     */
    public static function getData($select, $where, $groupBy, $orderBy, $having){
        $query = "SELECT TD.time_delivery," . $select 
                . " FROM data_fulfillment_provider dp  "
                . " LEFT JOIN times_delivery TD "
                . " ON TD.nit = dp.nit "
                . " AND dp.operation_center = TD.oc_code "
                . $where ." "
                . $groupBy . " " 
                . $orderBy . " " 
                . $having;
        //echo '<pre>' . __FILE__ . ':' . __LINE__ . '{' . print_r($query, true) . '}';
        //exit;
        return Yii::$app->db->createCommand($query)->queryAll(); 
    }
    
}
