<?php

namespace app\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\Timesdelivery;

/**
 * TimesdeliverySearch represents the model behind the search form about `app\models\Timesdelivery`.
 */
class TimesdeliverySearch extends Timesdelivery
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'time_delivery', 'nit'], 'integer'],
            [['nit','business_name','oc_code', 'oc_name', 'created', 'created_by', 
                'updated', 'updated_by'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Timesdelivery::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'time_delivery' => $this->time_delivery,
            'created' => $this->created,
            'updated' => $this->updated,
        ]);

        $query->andFilterWhere(['like', 'oc_code', $this->oc_code])
            ->andFilterWhere(['like', 'oc_name', $this->oc_name])
            ->andFilterWhere(['like', 'nit', $this->nit])
            ->andFilterWhere(['like', 'business_name', $this->business_name])
            ->andFilterWhere(['like', 'created_by', $this->created_by])
            ->andFilterWhere(['like', 'updated_by', $this->updated_by]);

        return $dataProvider;
    }
}
