<?php

use yii\helpers\Html;
use kartik\export\ExportMenu;
use kartik\grid\GridView;
use app\assets\PuglinsAsset;

/* @var $this yii\web\View */
/* @var $model app\models\Reportes */
/* @var $form yii\widgets\ActiveForm */

$btnRefress = Html::a("<i class='glyphicon glyphicon-refresh'></i> "
    .Yii::t('app', 'Refrescar'), 
    ($model->isNewRecord ? ['create'] : ['update', 'id'=>$model->id]), 
    ['class' => 'btn btn-default']);
?>

<?php          
       
    $columns = [
        'id',
        'nit',
        'business_name',
        'branch_name',
        'number_order',
        'reference',
        'description',
        'quantity',
		'operation_center',
        'cost',
        'reason',
        'detail',
        'responsable',
        'created',
        'created_by',
        'updated',
        'updated_by',
    ];
		
    $fullExportMenu = ExportMenu::widget([
        'dataProvider' => $dataProvider,
        'columns' => $columns,
        'columnSelectorOptions' => [
            'label' => Yii::t('app', 'Columnas'),
        ],
        'dropdownOptions' => [
            'label' => Yii::t('app', 'Exportar'),
            'class' => 'btn btn-default'
        ],
        //'fontAwesome' => true,
        'showConfirmAlert' => false,
        'target' => '_blank',
        'filename' => date('Ymd'),
        'exportRequestParam' => 'exportar',
        'columnBatchToggleSettings' => [
            'label' => Yii::t('app', 'Todo')
        ],
        'exportConfig' => [
            ExportMenu::FORMAT_TEXT => false,
            ExportMenu::FORMAT_PDF => false,
            ExportMenu::FORMAT_HTML => false,
        ]
    ]);
	
	
?>
<div class="pending-gridw box">     
    <?php
    $layout = <<< HTML
    <div class="box-header with-border" >
    {$fullExportMenu} {toggleData} {$btnRefress}
    </div>
        {summary}
    <div class="clearfix"></div>
        {items}
    {pager}
HTML;

    
    if($preview){
        $layout = <<< HTML
    <div class="box-header with-border" >    
    </div>
        {summary}
    <div class="clearfix"></div>
        {items}    
HTML;
    }
    ?>    
    <div class="box-body">
        <small>
            <?= GridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'responsive' => true,
                'responsiveWrap' => false,
                'showPageSummary' => true,
                'resizableColumns'=>true, 
                'floatHeader'=>false,
                'floatHeaderOptions'=>['scrollingTop'=>'0'],
                'layout' => $layout,
                'toolbar'=> [            
                    '{export}',
                    '{toggleData}',
                ],                    
                'export'=>[
                    'fontAwesome'=>true
                ],   
        //        'floatHeader'=>true,
        //        'floatHeaderOptions'=>['scrollingTop'=>'0'],
                'exportConfig' => [            
                    GridView::EXCEL => true,
                    GridView::PDF => true
                ],
        //        'pjax' => true, // pjax is set to always true for this demo
        //        'pjaxSettings'=>['neverTimeout'=>true,],
                'columns' => $columns,
            ]); ?>
        </small>
    </div>
</div>