<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use kartik\grid\GridView;

/* @var $this yii\web\View */
/* @var $model app\models\Purchases */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Purchases'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="purchases-view box box-solid">

    <div class="box-header with-border">
    <p>
        <?= Html::a(Yii::t('app', 'Cancel'), ['index'], ['class' => 'btn btn-default']) ?>
    </p>
    </div>
    <div class="box-body">

        <?= DetailView::widget([
            'model' => $model,
            'attributes' => [
                'id',
                'nit',
                'business_name',
                'branch_code',
                'branch_name',
                'cellar',
                'total',
                'created',
                'created_by',
                'updated',
                'updated_by',
            ],
        ]) ?>
        <hr>
        <h3><?= Yii::t('app', 'Items') ?></h3>
        <?= GridView::widget([
            'dataProvider' => $model->getListItemsPurchases(),
            'responsive' => true,
            'columns' => [
                ['class' => 'yii\grid\SerialColumn'],
                'reference',
                'description',
                [
                    'attribute'=>'quantity',
                    'value'=>function($data){
                        return number_format($data->quantity);
                    },
                ],
                [
                    'attribute'=>'unit_price',
                    'value'=>function($data){
                        return '$'.number_format($data->unit_price);
                    },
                ],
                [
                    'header'=>Yii::t('app', 'Subtotal'),
                    'value'=>function($data){
                        return '$'.number_format($data->quantity * $data->unit_price);
                    },
                ]
            ],
        ]); ?>
    </div>
</div>
