<?php

use yii\helpers\Html;
use app\assets\PuglinsAsset;
use yii\helpers\ArrayHelper;
use app\components\Util;
use app\models\Usuarios;
use app\models\ReportesDinamicos;

$url = ['reportes/index'];
$this->title = 'Información General';
//------------------------------------------------------------------------------
PuglinsAsset::register($this);
//Grafica ----------------------------------------------------------------------
$anioAnt = date('Y')-1;
$anio = date('Y');
$meses = '';
$dataGraf = '';
$dataGrafAnt = '';
if(count($info['meses'])>0){
    $meses = '"'.implode('","', $info['meses']).'"';
}
if(count($info['cantidades'])>0){        
    $dataGraf = implode(',', $info['cantidades']);    
}
?>

<div class="row">
    <div class="col-lg-3 col-xs-6">
      <!-- small box -->
      <div class="small-box bg-aqua">
        <div class="inner">
            <h3><?= number_format(isset($cargo[0]['cantidad'])? $cargo[0]['cantidad'] : 0) ?></h3>
            <p><strong><?= substr(isset($cargo[0]['cargo']) ? $cargo[0]['cargo']: '',0,30) ?><br>
            <?= Yii::t('app', 'Cargo mas ausentismo') ?></strong></p>            
        </div>
        <div class="icon">
          <i class="fa fa-users"></i>
        </div>            
        <?= Html::a(Yii::t('app', 'mas info')
                ." <i class='fa fa-arrow-circle-right'></i>", 
            $url, ['class' => 'small-box-footer', 'target'=>'_blank']) ?>
      </div>
    </div>        
    <div class="col-lg-3 col-xs-6">
      <div class="small-box bg-green">
        <div class="inner">                      
            <h3><?= number_format(isset($empleado[0]['cantidad'])? $empleado[0]['cantidad'] : 0) ?></h3>
            <p><strong><?= substr(isset($empleado[0]['cedula']) ? $empleado[0]['cedula']. '-'.$empleado[0]['nombre']: '',0,30) ?><br>
            <?= Yii::t('app', 'Empleado mas ausente') ?></strong></p>
        </div>
        <div class="icon">
          <i class="fa fa-user"></i>
        </div>            
        <?= Html::a(Yii::t('app', 'mas info').
                " <i class='fa fa-arrow-circle-right'></i>", 
            $url, ['class' => 'small-box-footer', 'target'=>'_blank']) ?>
      </div>
    </div>        
    <div class="col-lg-3 col-xs-6">          
      <div class="small-box bg-yellow">
        <div class="inner">            
            <h3><?= number_format(isset($centroCostos[0]['cantidad'])? $centroCostos[0]['cantidad'] : 0) ?></h3>
            <p><strong><?= substr(isset($centroCostos[0]['centro_costos']) ? $centroCostos[0]['centro_costos']: '',0,30) ?><br>
            <?= Yii::t('app', 'Centro Costos mas Ausentismo') ?></strong></p>
        </div>
        <div class="icon">
          <i class="fa fa-dollar"></i>
        </div>
        <?= Html::a(Yii::t('app', 'mas info')
                ." <i class='fa fa-arrow-circle-right'></i>", 
            $url, ['class' => 'small-box-footer', 'target'=>'_blank']) ?>
      </div>
    </div>        
    <div class="col-lg-3 col-xs-6">          
      <div class="small-box bg-red">
        <div class="inner">            
            <h3><?= number_format(isset($linea[0]['cantidad'])? $linea[0]['cantidad'] : 0) ?></h3>
            <p><strong><?= substr(isset($linea[0]['linea_negocio']) ? $linea[0]['linea_negocio']: '',0,30) ?><br>
            <?= Yii::t('app', 'Linea Negocio mas Ausente') ?></strong></p>
        </div>
        <div class="icon">
          <i class="fa fa-exchange"></i>
        </div>
        <?= Html::a(Yii::t('app', 'mas info')
                ." <i class='fa fa-arrow-circle-right'></i>", 
            $url, ['class' => 'small-box-footer', 'target'=>'_blank']) ?>
      </div>
    </div>        
</div>

  
<div class="box">
    <div class="box-header with-border">
        <h4><?= Yii::t('app', 'Ausentismo ultimos meses') ?></h4>
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div> 
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-9 border-right border-">
                <div class="chart">
                    <canvas id="graficas" style="height:220px"></canvas>                        
                </div>
            </div>                    
            <div class="col-md-3 text-center">
                <p><strong><?= Yii::t('app', 'Info grafica') ?></strong></p>
                <div id="legend-aus"></div>
                <?php if(count($info['meses'])>0): ?>
                    <?php foreach ($info['meses'] as $key => $value) : ?>
                         <p>
                            <strong><?= $value ?></strong>
                        </p>
                        <div>Cantidad: <?= (isset($info['cantidades'][$key])) ?
                        number_format($info['cantidades'][$key]) : 0 ?></div>
                        <br/>
                    <?php endforeach; ?>
                <?php endif; ?>                                
            </div>                    
        </div> 
        <div class="row">
            <div class="col-sm-12">
                <hr>
            </div>                
        </div>
        <div class="row">
            <div class="col-sm-6 border-right">                
                <p class="text-center">
                    <strong><?= Yii::t('app', 'Cargos mas ausentismo') ?></strong>
                </p>                
                <table class="table table-striped">
                    <tr>
                        <th><?= Yii::t('app', 'Cargo') ?></th>
                        <th><?= Yii::t('app', 'Cantidad') ?></th>                        
                    </tr>                    
                    <?php foreach ($cargo as $data) : ?>
                    <tr>
                        <td><?= $data['cargo'] ?></td>                           
                        <td><?= number_format($data['cantidad']) ?></td>
                    </tr>
                <?php endforeach; ?>  
                </table>                
            </div>
            <div class="col-sm-6">                
                <p class="text-center">
                    <strong><?= Yii::t('app', 'Empleados mas ausentismo') ?></strong>
                </p>                
                <table class="table table-striped">
                    <tr>
                        <th><?= Yii::t('app', 'Empleado') ?></th>
                        <th><?= Yii::t('app', 'Cantidad') ?></th>                        
                    </tr>                    
                    <?php foreach ($empleado as $data) : ?>
                    <tr>
                        <td><?= $data['cedula']. ' - '. $data['nombre'] ?></td>                           
                        <td><?= number_format($data['cantidad']) ?></td>
                    </tr>
                <?php endforeach; ?>  
                </table>                
            </div>
        </div>  
        <div class="row">
            <div class="col-sm-12">
                <hr>
            </div>                
        </div>
        <div class="row">
            <div class="col-sm-6 border-right">                
                <p class="text-center">
                    <strong><?= Yii::t('app', 'Centros de Costos mas ausentismo') ?></strong>
                </p>                
                <table class="table table-striped">
                    <tr>
                        <th><?= Yii::t('app', 'centro costos') ?></th>
                        <th><?= Yii::t('app', 'Cantidad') ?></th>                        
                    </tr>                    
                    <?php foreach ($centroCostos as $data) : ?>
                    <tr>
                        <td><?= $data['centro_costos'] ?></td>                           
                        <td><?= number_format($data['cantidad']) ?></td>
                    </tr>
                <?php endforeach; ?>  
                </table>                
            </div>
            <div class="col-sm-6">                
                <p class="text-center">
                    <strong><?= Yii::t('app', 'Linea de Negocio mas ausentismo') ?></strong>
                </p>                
                <table class="table table-striped">
                    <tr>
                        <th><?= Yii::t('app', 'linea negocio') ?></th>
                        <th><?= Yii::t('app', 'Cantidad') ?></th>                        
                    </tr>                    
                    <?php foreach ($linea as $data) : ?>
                    <tr>
                        <td><?= $data['linea_negocio'] ?></td>                           
                        <td><?= number_format($data['cantidad']) ?></td>
                    </tr>
                <?php endforeach; ?>  
                </table>                
            </div>
        </div>        
    </div>                            
</div>
<script>
    	
    setTimeout(function() { window.location = window.location;},120000);

  $(function () {    
    //Grafica ------------------------------------------------------------------
    var areaChartCanvas = $("#graficas").get(0).getContext("2d");    
    var areaChart = new Chart(areaChartCanvas);
    var areaChartData = {
      labels: [<?= $meses ?>],
      options: {legend:{display:true,legendTemplate: "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].lineColor%>\"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>",      }}, 
      datasets: [        
        {
          label: "<?= Yii::t('app', 'Ausentismos').': '.$anio ?>",
          fillColor: "rgba(60,141,188,0.5)",          
          strokeColor: "rgba(60,141,188,0.9)",
          pointColor: "#3b8bba",
          pointStrokeColor: "rgba(60,141,188,1)",
          pointHighlightFill: "#fff",
          pointHighlightStroke: "rgba(60,141,188,1)",
          data: [<?= $dataGraf ?>]
        }
      ]
    };

    var areaChartOptions = {
      showScale: true,      
      scaleShowGridLines: false,
      scaleGridLineColor: "rgba(0,0,0,.05)",
      scaleGridLineWidth: 1,      
      scaleShowHorizontalLines: true,      
      scaleShowVerticalLines: true,      
      bezierCurve: true,      
      bezierCurveTension: 0.05,      
      pointDot: true,
      pointDotRadius: 4,
      pointDotStrokeWidth: 1,     
      pointHitDetectionRadius: 20,
      datasetStroke: true,      
      datasetStrokeWidth: 2,      
      datasetFill: true,            
      legendTemplate : '<ul>'
                  +'<% for (var i=0; i<datasets.length; i++) { %>'
                    +'<li style="list-style:none">'
                    +'<span style=\"-moz-border-radius:1px; border-radius:1px; margin-right:10px;width:15px;height:15px;display:inline-block;background-color:<%=datasets[i].fillColor%>\"> </span>'
                    +'<% if (datasets[i].label) { %><%= datasets[i].label %><% } %>'
                  +'</li>'
                +'<% } %>'
              +'</ul>',
      maintainAspectRatio: true,      
      responsive: true,
      scaleLabel : function (label) {
        return "    " + label.value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
      },
//      tooltipTemplate : function (label) {
//        return label.value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
//      },
        multiTooltipTemplate : function (label) {
        return label.datasetLabel + ': ' +  "" + label.value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
       },
        tooltips: {
          callbacks: {
              label: function(tooltipItem, data) {
                  return "" + Number(tooltipItem.yLabel).toFixed(0).replace(/./g, function(c, i, a) {
                      return i > 0 && c !== "." && (a.length - i) % 3 === 0 ? "," + c : c;
                  });
              }
          }
      }
    };
    
    var lineChart = areaChart.Line(areaChartData, areaChartOptions);    
    $("#legend-aus").html(lineChart.generateLegend()); 
    });
</script>