<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \common\models\LoginForm */

$this->title = 'Control de Dispositivos JDH';

$logo = Html::img('img/jdh_logo.png',["width" => '230px']);

$fieldOptions1 = [
    'options' => ['class' => 'form-group has-feedback'],
    'inputTemplate' => "{input}<i class='glyphicon glyphicon-user form-control-feedback'></i>"
];

$fieldOptions2 = [
    'options' => ['class' => 'form-group has-feedback'],
    'inputTemplate' => "{input}<i class='glyphicon glyphicon-lock form-control-feedback'></i>"
];
?>

<div class="">    
    <!-- /.login-logo -->
    
    
    <div class="login-box">
        <div class="login-logo">
            <b>B2B Compras</b>       
        </div>
        <div class="login-box-body">
            <p class="login-box-msg">Ingresa tu datos para iniciar sesi&oacute;n</p>  
            <?php
            $form = ActiveForm::begin(['id' => 'login-form',
                        'enableClientValidation' => false]);
            ?>

            <?= $form->field($model, 'username', $fieldOptions1)
                ->label(false)
                ->textInput(['placeholder' => $model->getAttributeLabel('username')])
            ?>

            <?= $form->field($model, 'password', $fieldOptions2)
                ->label(false)
                ->passwordInput(['placeholder' => $model->getAttributeLabel('password')])
            ?>

            <br>
            <div class="row">
                <div class="col-md-8">                    
                    <u><?= Html::a(Yii::t('app', 'recuperar contrasena'), ['repass'], ['class' => 'lnk-repass']) ?></u>
                </div>                    
                <div class="col-md-4">
                    <?= Html::submitButton('Ingresar', 
                        ['class' => 'btn btn-primary btn-block btn-flat',
                        'name' => 'login-button'])
                    ?>
                </div>                    
            </div> 
            <br>
            <?php ActiveForm::end(); ?>
        </div>                    
    </div>
    <div class="login-logo">
        <?= $logo ?>
    </div>
</div><!-- /.login-box -->

