<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use app\models\Timesdelivery;
use kartik\select2\Select2;
use yii\web\JsExpression;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $model app\models\Timesdelivery */
/* @var $form yii\widgets\ActiveForm */

$provider = '';
if(!$model->isNewRecord){
    $provider = $model->nit.' - '.$model->business_name;
}

?>

<div class="timesdelivery-form box box-solid">
    <div class="box-body">
    <?php $form = ActiveForm::begin(); ?>
        
    <?= $form->field($model, 'nit')->widget(Select2::classname(), [    
        'initValueText' => $provider, 
        'options' => [
            'placeholder' => 'Seleccione Proveedor...',
        ],
        'theme' => Select2::THEME_DEFAULT,
        'pluginOptions' => [
            'allowClear' => true,
            'language' => [
                'errorLoading' => new JsExpression("function () { return 'Buscando...'; }"),
            ],
            'minimumInputLength' => 3,
            'language' => 'es',
            'ajax' => [
                'url' => $url = Url::to(['timesdelivery/getlistproviders']),
                'dataType' => 'json',
                'data' => new JsExpression('function(params) { return {q:params.term}; }'),                        
            ],
            'escapeMarkup' => new JsExpression('function (markup) {return markup; }'),
            'templateResult' => new JsExpression('function(data) { return data.text; }'),
            'templateSelection' => new JsExpression('function (data) { '
                . 'tmpText = data.text;'
                . 'text = tmpText.split(" - ")[1];'
                . '$("#timesdelivery-business_name").val(text); '
                . 'return data.text; }'),
        ],
        ])->label(Yii::t('app', 'Nit - Razon social'));?>
    <?= $form->field($model, 'business_name')->hiddenInput()->label(false)->error(false); ?>
        
    <?= $form->field($model, 'oc_code')->widget(Select2::classname(), [    
        //'initValueText' => $provider, 
        'data' => Timesdelivery::getListOC(), 
        'options' => [
            'placeholder' => 'Seleccione CO...',
        ],
        'theme' => Select2::THEME_DEFAULT,
        'pluginOptions' => [
            'allowClear' => true,
            'language' => 'es',
            'escapeMarkup' => new JsExpression('function (markup) {return markup; }'),
            'templateResult' => new JsExpression('function(data) { return data.text; }'),
            'templateSelection' => new JsExpression('function (data) { '
                . 'tmpText = data.text;'
                . 'text = tmpText.split(" - ")[1];'
                . '$("#timesdelivery-oc_name").val(text); '
                . 'return data.text; }'),
        ],
        ]);?>
    <?= $form->field($model, 'oc_name')->hiddenInput()->label(false)->error(false); ?>

    <?= $form->field($model, 'time_delivery')->textInput(['type' => 'number']) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
        <?= Html::a(Yii::t('app', 'Cancel'), ['index'], ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    </div>
</div>
